## PhoshSessionPresenceDBusPresenceSkeleton

PhoshSessionPresenceDBusPresenceSkeleton

## Functions

GDBusInterfaceInfo * | phosh_session_presence_dbus_presence_interface_info ()
guint | phosh_session_presence_dbus_presence_override_properties ()
void | phosh_session_presence_dbus_presence_emit_status_changed ()
guint | phosh_session_presence_dbus_presence_get_status ()
void | phosh_session_presence_dbus_presence_set_status ()
void | phosh_session_presence_dbus_presence_proxy_new ()
PhoshSessionPresenceDBusPresence * | phosh_session_presence_dbus_presence_proxy_new_finish ()
PhoshSessionPresenceDBusPresence * | phosh_session_presence_dbus_presence_proxy_new_sync ()
void | phosh_session_presence_dbus_presence_proxy_new_for_bus ()
PhoshSessionPresenceDBusPresence * | phosh_session_presence_dbus_presence_proxy_new_for_bus_finish ()
PhoshSessionPresenceDBusPresence * | phosh_session_presence_dbus_presence_proxy_new_for_bus_sync ()
PhoshSessionPresenceDBusPresence * | phosh_session_presence_dbus_presence_skeleton_new ()

## Properties

guint | status | Read / Write

## Signals

void | status-changed | Run Last

## Types and Values

struct | PhoshSessionPresenceDBusPresenceIface
struct | PhoshSessionPresenceDBusPresenceProxy
struct | PhoshSessionPresenceDBusPresenceProxyClass
struct | PhoshSessionPresenceDBusPresenceSkeleton
struct | PhoshSessionPresenceDBusPresenceSkeletonClass
| PhoshSessionPresenceDBusPresence
| PhoshSessionPresenceDBusPresenceProxyPrivate
| PhoshSessionPresenceDBusPresenceSkeletonPrivate

## Object Hierarchy

        GInterface
        ╰── PhoshSessionPresenceDBusPresence
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── PhoshSessionPresenceDBusPresenceSkeleton
        ╰── GDBusProxy
            ╰── PhoshSessionPresenceDBusPresenceProxy

## Prerequisites

PhoshSessionPresenceDBusPresence requires GObject.

## Implemented Interfaces

PhoshSessionPresenceDBusPresenceProxy implements GDBusInterface, GInitable, GAsyncInitable and PhoshSessionPresenceDBusPresence.

PhoshSessionPresenceDBusPresenceSkeleton implements GDBusInterface and PhoshSessionPresenceDBusPresence.

## Known Implementations

PhoshSessionPresenceDBusPresence is implemented by PhoshSessionPresenceDBusPresenceProxy and PhoshSessionPresenceDBusPresenceSkeleton.

## Description

## Functions

### phosh_session_presence_dbus_presence_interface_info ()

    GDBusInterfaceInfo *
    phosh_session_presence_dbus_presence_interface_info
                                   (void);

Gets a machine-readable description of the org.gnome.SessionManager.Presence D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### phosh_session_presence_dbus_presence_override_properties ()

    guint
    phosh_session_presence_dbus_presence_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the PhoshSessionPresenceDBusPresence interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### phosh_session_presence_dbus_presence_emit_status_changed ()

    void
    phosh_session_presence_dbus_presence_emit_status_changed
                                   (PhoshSessionPresenceDBusPresence *object,
                                    guint arg_status);

Emits the "StatusChanged" D-Bus signal.

#### Parameters

object | A PhoshSessionPresenceDBusPresence. |
arg_status | Argument to pass with the signal. |

### phosh_session_presence_dbus_presence_get_status ()

    guint
    phosh_session_presence_dbus_presence_get_status
                                   (PhoshSessionPresenceDBusPresence *object);

Gets the value of the "status" D-Bus property.

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshSessionPresenceDBusPresence. |

#### Returns

The property value.

### phosh_session_presence_dbus_presence_set_status ()

    void
    phosh_session_presence_dbus_presence_set_status
                                   (PhoshSessionPresenceDBusPresence *object,
                                    guint value);

Sets the "status" D-Bus property to `value` .

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshSessionPresenceDBusPresence. |
value | The value to set. |

### phosh_session_presence_dbus_presence_proxy_new ()

    void
    phosh_session_presence_dbus_presence_proxy_new
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.gnome.SessionManager.Presence. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_session_presence_dbus_presence_proxy_new_finish()` to get the result of the operation.

See `phosh_session_presence_dbus_presence_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### phosh_session_presence_dbus_presence_proxy_new_finish ()

    PhoshSessionPresenceDBusPresence *
    phosh_session_presence_dbus_presence_proxy_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_session_presence_dbus_presence_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_session_presence_dbus_presence_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshSessionPresenceDBusPresenceProxy]

### phosh_session_presence_dbus_presence_proxy_new_sync ()

    PhoshSessionPresenceDBusPresence *
    phosh_session_presence_dbus_presence_proxy_new_sync
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously creates a proxy for the D-Bus interface org.gnome.SessionManager.Presence. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `phosh_session_presence_dbus_presence_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshSessionPresenceDBusPresenceProxy]

### phosh_session_presence_dbus_presence_proxy_new_for_bus ()

    void
    phosh_session_presence_dbus_presence_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `phosh_session_presence_dbus_presence_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_session_presence_dbus_presence_proxy_new_for_bus_finish()` to get the result of the operation.

See `phosh_session_presence_dbus_presence_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### phosh_session_presence_dbus_presence_proxy_new_for_bus_finish ()

    PhoshSessionPresenceDBusPresence *
    phosh_session_presence_dbus_presence_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_session_presence_dbus_presence_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_session_presence_dbus_presence_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshSessionPresenceDBusPresenceProxy]

### phosh_session_presence_dbus_presence_proxy_new_for_bus_sync ()

    PhoshSessionPresenceDBusPresence *
    phosh_session_presence_dbus_presence_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `phosh_session_presence_dbus_presence_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `phosh_session_presence_dbus_presence_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshSessionPresenceDBusPresenceProxy]

### phosh_session_presence_dbus_presence_skeleton_new ()

    PhoshSessionPresenceDBusPresence *
    phosh_session_presence_dbus_presence_skeleton_new
                                   (void);

Creates a skeleton object for the D-Bus interface org.gnome.SessionManager.Presence.

#### Returns

The skeleton object.

[transfer full][type PhoshSessionPresenceDBusPresenceSkeleton]

## Types and Values

### struct PhoshSessionPresenceDBusPresenceIface

    struct PhoshSessionPresenceDBusPresenceIface {
      GTypeInterface parent_iface;

      guint  (*get_status) (PhoshSessionPresenceDBusPresence *object);

      void (*status_changed) (
        PhoshSessionPresenceDBusPresence *object,
        guint arg_status);
    };

Virtual table for the D-Bus interface org.gnome.SessionManager.Presence.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`get_status` () | Getter for the “status” property. |
`status_changed` () | Handler for the “status-changed” signal. |

### struct PhoshSessionPresenceDBusPresenceProxy

    struct PhoshSessionPresenceDBusPresenceProxy;

The PhoshSessionPresenceDBusPresenceProxy structure contains only private data and should only be accessed using the provided API.

### struct PhoshSessionPresenceDBusPresenceProxyClass

    struct PhoshSessionPresenceDBusPresenceProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for PhoshSessionPresenceDBusPresenceProxy.

#### Members

### struct PhoshSessionPresenceDBusPresenceSkeleton

    struct PhoshSessionPresenceDBusPresenceSkeleton;

The PhoshSessionPresenceDBusPresenceSkeleton structure contains only private data and should only be accessed using the provided API.

### struct PhoshSessionPresenceDBusPresenceSkeletonClass

    struct PhoshSessionPresenceDBusPresenceSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for PhoshSessionPresenceDBusPresenceSkeleton.

#### Members

### PhoshSessionPresenceDBusPresence

    typedef struct _PhoshSessionPresenceDBusPresence PhoshSessionPresenceDBusPresence;

Abstract interface type for the D-Bus interface org.gnome.SessionManager.Presence.

### PhoshSessionPresenceDBusPresenceProxyPrivate

    typedef struct _PhoshSessionPresenceDBusPresenceProxyPrivate PhoshSessionPresenceDBusPresenceProxyPrivate;

### PhoshSessionPresenceDBusPresenceSkeletonPrivate

    typedef struct _PhoshSessionPresenceDBusPresenceSkeletonPrivate PhoshSessionPresenceDBusPresenceSkeletonPrivate;

## Property Details

### The `“status”` property

      “status”                   guint

Represents the D-Bus property "status".

Since the D-Bus property for this GObject property is both readable and writable, it is meaningful to both read from it and write to it on both the service- and client-side.

Owner: PhoshSessionPresenceDBusPresence

Flags: Read / Write

Default value: 0

## Signal Details

### The `“status-changed”` signal

    void
    user_function (PhoshSessionPresenceDBusPresence *object,
                   guint                             arg_status,
                   gpointer                          user_data)

On the client-side, this signal is emitted whenever the D-Bus signal "StatusChanged" is received.

On the service-side, this signal can be used with e.g. `g_signal_emit_by_name()` to make the object emit the D-Bus signal.

#### Parameters

object | A PhoshSessionPresenceDBusPresence. |
arg_status | Argument. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last